Previous Entry Share Next Entry
Звериный оскал проприетарного софта или Flash Player 10 for 64-bit Linux
horror
sanmai
http://labs.adobe.com/technologies/flashplayer10/64bit.html
We have temporarily closed the Labs program of Flash Player 10 for 64-bit Linux, as we are making significant architectural changes to the 64-bit Linux Flash Player and additional security enhancements.
Как их только земля носит?..

Чинится это или как тут:
http://wiki.debian.org/FlashPlayer

Или так:
sudo cp libflashplayer.so /usr/lib64/mozilla/plugins/
(этот файлик можно взять в /var/cache/flashplugin-nonfree/libflashplayer*x86_64.so.tar.gz)

  • 1
Как их только земля носит?..
Т.е. если люди перерабатывают архитектуру и улучшают безопасность то они мудаки, или в чем смысл цитаты?

Если люди вынуждают других изобретать велосипеды или пользоваться дырявым софтом, не давая никакой другой альтернативы...

Ну значит не используйте флэш, их проблемы тут нет. Единственные кто вынуждают вас использовать флэш - разработчики сайтов которые его используют, предьявляйте им претензии, при чем тут Адобе? Вконтакт, например, сделал возможность писать приложения на яваскрипте в качестве альтернативы.
Скажите спасибо за то что флэш под линуксом вообще есть - они тратят СВОИ, не ВАШИ деньги на разработку версий под линукс. Да, они тормознутые настолько, что у меня перегревался проц под линуксом и перегружался ноут. Версия для винды, под вайном в опере работала быстрее чем родная линуксовая на том же ноуте, поэтому я его просто не использовал, и особых проблем не заметил.

То есть в том что я не могу делать свою работу их проблемы нет?

Адобе при том что они сначала дают, а потом внезапно отбирают.
"Взялся за гуж, не говори, что не дюж!"

Edited at 2010-07-16 06:12 am (UTC)

Когда у вас адобе что-то отобрала?

Т.е. подкладываете 32-битную версию?

Нет, 64-бютную, но дырявую.

Про 32-битную версию тут написано:
http://wiki.debian.org/FlashPlayer

Лол, я как посетитель ЛОРа последовал традиции и не пошел по ссылкам, оказывается зря.
На самом деле адобе закрыли версию как раз из-за проблем с безопасностью, и в срочном порядке перерабатывают архитектуру и латают дыры. А вы почему-то извращаетесь, и ставите дырявую версию. Почему бы не откатиться на более старую версию без дырок, если такая есть? Или просто удалить на время флэш, и поставить его когда закроют уязвимость, если она критична?
Чтобы меня не называли противником красноглазых - линуксом я пользуюсь и на ноуте(только линукс) и на компе(двойная загрузка), а сейчас пишу с фрибсд который на работе, но подобные личности которые обсирают проприетарщиков без повода, только позорят красноглазые легионы.

Более старой версии без дырок нет. Я без флеша не могу.

С каких пор критика кого-либо считается "обсиранием"?

"Звериный оскал проприетарного софта"
"Как их только земля носит?.."
нет?

Да. Они действуют без учета действительных интересов пользователей. Как еще я должен относиться к производителю важной для меня программы, который попросту забивает на свои пользователей и, в то же время, не дает исходников программы, чтобы пользователи могли сами себе помочь.

Были бы исходники, не было бы вопроса. Были бы исходники, глядишь не было бы таких проблем с безопасностью вообще.

Спецификации на 9 и 10 версии swf открыты, есть Gnash с исходниками, в чем проблема то?

Да, есть Gnash, но он работает через пень-колоду. Собственно, именно потому он и есть, что от родного плеера исходников нет.

imho конструкция должна либо сдохнуть, либо стать open source.

Я совершенно не понимаю причин, по которым Adobe жмёт исходники flashplugin'а.

nspluginwrapper уже не канает?

Это костыли.

Ничуть не большие костыли, чем Ваш метод, или то, что предложено по ссылке на debian wiki.

Большие, уверяю Вас.
Как только выйдет новая версия флеша, она у меня тут же будет без каких-либо дополнительных действий с моей стороны кроме штатного обновления.

Могу похвастаться практически тем же самым, собственно. С тем дополнением, что у меня до тех пор вообще-то будет версия без дырок, в отличе от Вас.

Разве ж я Вас заставляю делать так, как делал я?.. Вопрос риторический, можете не отвечать.

  • 1
?

Log in

No account? Create an account